
def get_agent(hps, env, model, detector):
    if hps.agent == 'img_ppo_hier':
        from agents.img_ppo_hier import PPOPolicy
        return PPOPolicy(hps, env, model, detector)
    elif hps.agent == 'img_ppo_flat':
        from agents.img_ppo_flat import PPOPolicy
        return PPOPolicy(hps, env, model, detector)
    elif hps.agent == 'img_rand':
        from agents.img_rand import RandPolicy
        return RandPolicy(hps, env, model, detector)
    elif hps.agent == 'img_wolp_ddpg':
        from agents.img_wolp_ddpg import WolpDDPGPolicy
        return WolpDDPGPolicy(hps, env, model, detector)
    elif hps.agent == 'rec_ppo_hier':
        from agents.rec_ppo_hier import PPOPolicy
        return PPOPolicy(hps, env, model, detector)
    elif hps.agent == 'rec_ppo_flat':
        from agents.rec_ppo_flat import PPOPolicy
        return PPOPolicy(hps, env, model, detector)
    elif hps.agent == 'rec_rand':
        from agents.rec_rand import RandPolicy
        return RandPolicy(hps, env, model, detector)
    else:
        raise ValueError()